Subject: Reviewing ftp tree

From: "Joshua D. Drake" <[email-masked]>
Date: Mon, 5 Nov 2007 15:35:03 -0800

Hello,

I was digging through our ftp tree today and noticed this:

binary/    
drwxrwxr-x   4 ftp      ftp           512 Sep 17 02:05 v8.2.5
drwxrwxr-x   4 ftp      ftp           512 Oct  8 10:32 v8.3beta1
drwxr-xr-x   5 ftp      ftp           512 Nov  2 06:33 v8.3beta2

v8.2.5/
drwxr-xr-x   4 ftp      ftp           512 Sep 16 12:05 linux
drwxr-xr-x   2 ftp      ftp           512 Sep 18 06:04 win32

linux/
drwxr-xr-x   4 ftp      ftp           512 Sep 16 12:05 rpms
drwxr-xr-x   4 ftp      ftp           512 Sep 16 12:05 srpms

It seems to me that this should be something more like:

packages/v8.2.5/linux/rh/rpms|srpms
                     /suse/rpms|srpms
                win32/
                win64/ 

Thoughts?

Sincerely,

Joshua D. Drake

      === The PostgreSQL Company: Command Prompt, Inc. ===
Sales/Support: +1.503.667.4564   24x7/Emergency: +1.800.492.2240
PostgreSQL solutions since 1997  http://www.commandprompt.com/
			UNIQUE NOT NULL
Donate to the PostgreSQL Project: http://www.postgresql.org/about/donate
PostgreSQL Replication: http://www.commandprompt.com/products/

---

From: "Marc G. Fournier" <[email-masked]>
Date: Mon, 05 Nov 2007 19:48:01 -0400

- --On Monday, November 05, 2007 15:35:03 -0800 "Joshua D. Drake" 
<[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
>
> Hello,
>

'k, you've lost me ... we dont' have win64 binaries, else Dave would have put 
that directory in (I suspect?), and is anyone doing suse binaries?

I'm not sure what changes you are proposing here ...

- ----
Marc G. Fournier           Hub.Org Networking Services (http://www.hub.org)
Email . [email-masked]                              MSN . [email-masked]
Yahoo . yscrappy               Skype: hub.org        ICQ . 7615664

---

From: "Joshua D. Drake" <[email-masked]>
Date: Mon, 5 Nov 2007 15:53:15 -0800

On Mon, 05 Nov 2007 19:48:01 -0400
"Marc G. Fournier" <[email-masked]> wrote:

> 'k, you've lost me ... we dont' have win64 binaries, else Dave would
> have put that directory in (I suspect?), and is anyone doing suse
> binaries?

Well win64 and suse were to illustrate how the tree could expand over
time. You are right that we don't currently have win64, but with 8.3 we
support VC++ so we could in theory support win64 for 8.4.

Secondly I have been playing with building SuSE rpms to keep that tree
up to date for older SuSE releases and I could see it extending from
there as well (for example postgresql 8.2 for Ubuntu Dapper).

The real difference here is that binary is misleading as we have source
packages in there and it isn't really binary as much as just a package
repo.

Sincerely,

Joshua D. Drake

> Marc G. Fournier           Hub.Org Networking Services
> (http://www.hub.org) Email .
> [email-masked]                              MSN . [email-masked]
> -----BEGIN PGP SIGNATURE----- Version: GnuPG v2.0.4 (FreeBSD)
> 
> iD8DBQFHL6ux4QvfyHIvDvMRAiQRAJ4iZlzoZg9P54YIue2ZEhURgRSLIgCcD+Ej
> /7lq2/tTelw2TrdtpdCJN4A=
> =Rv+G
> -----END PGP SIGNATURE-----
> 
> 
> ---------------------------(end of
> broadcast)--------------------------- TIP 4: Have you searched our
> list archives?
> 
>                http://archives.postgresql.org
> 

- --

---

From: "Marc G. Fournier" <[email-masked]>
Date: Mon, 05 Nov 2007 21:09:11 -0400

> packages in there and it isn't really binary as much as just a package

I'm not against it, just wanted to clarify what you were envisioning ...

+1 from here ...

- ----

---

From: "Joshua D. Drake" <[email-masked]>
Date: Mon, 5 Nov 2007 17:14:52 -0800

On Mon, 05 Nov 2007 21:09:11 -0400
"Marc G. Fournier" <[email-masked]> wrote:

> > Well win64 and suse were to illustrate how the tree could expand
> > over time. You are right that we don't currently have win64, but
> > with 8.3 we support VC++ so we could in theory support win64 for
> > 8.4.
> >
> > Secondly I have been playing with building SuSE rpms to keep that
> > tree up to date for older SuSE releases and I could see it
> > extending from there as well (for example postgresql 8.2 for Ubuntu
> > Dapper).
> >
> > The real difference here is that binary is misleading as we have
> > source packages in there and it isn't really binary as much as just
> > a package repo.
> 

Sure :)

> iD8DBQFHL7634QvfyHIvDvMRAoI/AJ9K5Ka+I16JNkv8Gm6FxbKu2S63IwCggF79
> 89IlkzhOfnWr6Nu3zGSoO9w=
> =VEN5
> broadcast)--------------------------- TIP 9: In versions below 8.0,
> the planner will ignore your desire to choose an index scan if your
> joining column's datatypes do not match
> 

- --